#
# Copyright 2010 Ruediger Gad <r.c.g@gmx.de>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ISO-8601 modification - ISO_8601_Clock.py 
# ignores fontsize settings due to hardcoded width requirements
# ignores fill and zero padding settings to meet ISO-8601
# ignores seconds settings default is to display seconds
# to remove seconds delete the following code below:  + ":" + str(self.time.second).zfill(2)


import cairo
from datetime import datetime
import gtk
import math
import pango

import clock

def get_name():
    return "ISO_8601 Clock"

class ISO_8601_Clock(clock.Clock):
    def __init__(self, drawing_area):
        clock.Clock.__init__(self, drawing_area)

    def draw_clock(self):


# Draw date.in ISO-8601 compliant
        self.context.set_font_size(20)
        self.context.move_to(2, 16)
        text = str(self.time.year) + "." + str(self.time.month).zfill(2) + "." + str(self.time.day).zfill(2)
        self.context.text_path(text)
        self.context.stroke()

# Draw time.
        self.context.set_font_size(20)
        self.context.move_to(2, 35)
        text = str(self.time.hour).zfill(2) + ":" + str(self.time.minute).zfill(2) + ":" + str(self.time.second).zfill(2)
        self.context.text_path(text)
        self.context.stroke()


    def resize(self):
        self.drawing_area.set_size_request(110, 36)

